Subject: Re: [PATCH docs v3] docs: maintainer: document expectations of small time maintainers

From: Jonathan Corbet <[email-masked]>
Date: Fri, 21 Jul 2023 13:53:08 -0600

Jakub Kicinski <[email-masked]> writes:

> We appear to have a gap in our process docs. We go into detail
> on how to contribute code to the kernel, and how to be a subsystem
> maintainer. I can't find any docs directed towards the thousands
> of small scale maintainers, like folks maintaining a single driver
> or a single network protocol.
>
> Document our expectations and best practices. I'm hoping this doc
> will be particularly useful to set expectations with HW vendors.
>
> Reviewed-by: Andrew Lunn <[email-masked]>
> Reviewed-by: Greg Kroah-Hartman <[email-masked]>
> Reviewed-by: Krzysztof Kozlowski <[email-masked]>
> Reviewed-by: Mark Brown <[email-masked]>
> Reviewed-by: Leon Romanovsky <[email-masked]>
> Signed-off-by: Jakub Kicinski <[email-masked]>
> ---
> v3:
>  - clarify that mailings list in addition to humans is fine (Mark)
>  - reword the "review from one maintainer is enough" (Benjamin)
>  - grammar fixes (Benjamin, Shannon)
>  - typos (Andrew, Shannon)
> v2: https://lore.kernel.org/all/[email-masked]/
>  - use Thorsten's wording for bug fixing requirements
>  - put more words into the review/response timeline expectations
> v1: https://lore.kernel.org/all/[email-masked]/

It sure seems to me that the time has come to apply this before I need a
bigger disk to hold all the Reviewed-by tags ... :)  So I have done so,
thanks.

jon